net.sourceforge.pmd.lang.jsp.ast

## Class AbstractJspNodesTst

- java.lang.Object
- - net.sourceforge.pmd.lang.jsp.ast.AbstractJspNodesTst

- Direct Known Subclasses:
    JspDocStyleTest, JspPageStyleTest

      public abstract class AbstractJspNodesTst
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJspNodesTst()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `assertNumberOfNodes(Class<T> clazz, String source, int number)`
    `<T> Set<T>` | `getNodes(Class<T> clazz, String source)` Run the JSP parser on the source, and return the nodes of type clazz.
    `<T> Set<T>` | `getNodesOfType(Class<T> clazz, Set allNodes)` Return a subset of allNodes, containing the items in allNodes that are of the given type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractJspNodesTst

          public AbstractJspNodesTst()

  - ### Method Detail

    - #### assertNumberOfNodes

          public <T> void assertNumberOfNodes(Class<T> clazz,
                                     String source,
                                     int number)

    - #### getNodes

          public <T> Set<T> getNodes(Class<T> clazz,
                            String source)

      Run the JSP parser on the source, and return the nodes of type clazz.
      Parameters:
        `clazz` -
        `source` -
      Returns:
        Set

    - #### getNodesOfType

          public <T> Set<T> getNodesOfType(Class<T> clazz,
                                  Set allNodes)

      Return a subset of allNodes, containing the items in allNodes that are of the given type.
      Parameters:
        `clazz` -
        `allNodes` -
      Returns:
        Set

Copyright © 2002-2013 InfoEther. All Rights Reserved.